# Status Dashboard

The Status Dashboard module is developed to monitor Drupal sites.
The module review available updates for Drupal core version and Drupal
modules and displays them in the dashboard.

Status Dashboard is provides for developers to track information about
updates from Drupal system of multiple sites. This makes it possible to
have all information about updates of the Drupal version and modules of
all Drupal sites on the dashboard.

The module has such functionality as sending a notification to the Email.
In the Email notification settings, you can select the mail address, frequency
of sending and type of notification.

For the module to work, you need to install on the client sites the module
[status_dashboard_client](www.drupal.org/project/status_dashboard_client.)

For a full description of the module, visit the
[project page](https://www.drupal.org/project/status_dashboard).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/status_dashboard).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

On client sites you have to install the supporting module.

- [Status Dashboard Client](https://www.drupal.org/project/status_dashboard_client)


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Install the Status Dashboard module
2. Enable the module
3. Open configuration form on URL /admin/config/development/status-dashboard
4. Add the data to the URL AND SECRET fieldset which has the property multiple :
   - URL - the name of the client site whose updates you want to monitor.
   - Secret - secret data for connecting with client site.
5. If you want to receive notifications by mail, then you need to fill the EMAIL
   NOTIFICATIONS fieldset by clicking the Enable email notifications checkbox:
   - Email - Email address for sending notifications.
   - Period - Notification frequency which consists of three periods (Daily,
     Weekly, Monthly).
   - Notification types - Types of updates (Core updates, Security updates, Feature
     updates) to be sent to the specified email
6. Install on client sites the supporting module Status Dashboard Client
7. Enable the module
8. Open configuration form on URL /admin/config/development/status-dashboard-
   client
9. Add data for the Secret field, which is specified in the main site for connecting to this
   site.


## Maintainers

- Alexey Sivets - [w.drupal](https://www.drupal.org/u/wdrupal)
- Farid Muborakshoev - [farid.muborakshoev](https://www.drupal.org/u/faridmuborakshoev)
- Bram Driesen - [BramDriesen](https://www.drupal.org/u/bramdriesen)

Supporting organization:
- [Engine Eight](https://www.drupal.org/engine-eight)
- [Solvy](https://www.drupal.org/solvy)